zipios::IOException Class Reference

An IOException is used to signal an I/O error. More...

`#include <fcollexceptions.h>`

Inheritance diagram for zipios::IOException:
[legend]

## Public Member Functions

| IOException (const string &msg) throw ()
| IOException (const IOException &src) throw ()
IOException & | operator= (const IOException &src) throw ()
virtual const char * | what () const throw ()

## Detailed Description

An IOException is used to signal an I/O error.

Definition at line 16 of file fcollexceptions.h.

## Constructor & Destructor Documentation

## IOException() [1/3]

zipios::IOException::IOException | ( |  | ) |
throw | ( | ) |  |  |

Definition at line 13 of file fcollexceptions.cpp.

## IOException() [2/3]

zipios::IOException::IOException | ( | const string & | msg | ) |
throw | ( | ) |  |  |

explicit

Definition at line 16 of file fcollexceptions.cpp.

## IOException() [3/3]

zipios::IOException::IOException | ( | const IOException & | src | ) |
throw | ( | ) |  |  |

Definition at line 19 of file fcollexceptions.cpp.

## ~IOException()

zipios::IOException::~IOException | ( |  | ) |
throw | ( | ) |  |  |

virtual

Definition at line 33 of file fcollexceptions.cpp.

## Member Function Documentation

## operator=()

IOException & zipios::IOException::operator= | ( | const IOException & | src | ) |
throw | ( | ) |  |  |

Definition at line 23 of file fcollexceptions.cpp.

## what()

const char * zipios::IOException::what | ( |  | ) | const
throw | ( | ) |  |  |

virtual

Definition at line 29 of file fcollexceptions.cpp.

The documentation for this class was generated from the following files:

- fcollexceptions.h
- fcollexceptions.cpp